<%- include("../components/head") %>

    <body>
        <main>
            <section class="glass">
                <div class="dashboard">
                    <%- include("../components/logo") %>
                        <%- include("../components/header") %>
                            <%- include("../components/footer") %>
                </div>
                <!-- new character section -->
                <form action="/form" method="POST">
                    <div class="new-character">
                        <h2 class="title">Create New Character</h2>
                        <div class="split">
                            <div class="cards-avatar">
                                <div class="card">
                                    <div class="avatar">
                                        <img id="avatar" name="avatar" src="https://i.imgur.com/9F7KqO6.jpeg" alt=""> 
                                    </div>
                                </div>
                            </div>
                            <div class="cards">
                                <div class="card">
                                    <div class="card-form">
                                        <label for="name">Name:</label>
                                        <input type="text" name="name" placeholder="name" required />
                                        <label for="race">Race:</label>
                                        <select name="race" required id="race" onchange="changeAvatar()">
                                            <option value="0" disabled>Chose Race</option>
                                            <<% racesDB.map(item=> { %>
                                                <option value="<%= item.id %>">
                                                    <%= item.name %>
                                                </option>
                                                <% }) %>
                                        </select>
                                        <label for="">Profession</label>
                                        <select name="profession" required id="profession">
                                            <option value="">chose Profession</option>
                                            <<% professionsDB.map(item=> { %>
                                                <option value="<%= item.id %>">
                                                    <%= item.name %>
                                                </option>
                                                <% }) %>
                                        </select>
                                        
                                    </div>
                                    <div class="card-form">
                                        <label for="name">Age:</label>
                                        <input type="text" name="age" placeholder="age" required />
                                        <label for="lvl">Lvl</label>
                                        <select name="lvl" required id="lvl" onchange="setCheckBoxes()">
                                            <option value="0"  disabled="">Chose lvl</option>
                                            <option value="1">1</option>
                                            <option value="2">2</option>
                                            <option value="3">3</option>
                                            <option value="4">4</option>
                                            <option value="5">5</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="split">
                            <div class="cards-stats">
                                <div class="card">
                                    <div class="card-form">
                                        <h3>Stats</h3>
                                        <div class="split">
                                            <h4 for="st">Strength (ST)</h4>
                                            <input class="space" type="number" id="stat0" name="st" required />
                                            <input class="space" type="number"  id="bonus0" name="stBonus" />
                                        </div>
                                        <div class="split">
                                            <h4 for="ag">Agility (AG)</h4>
                                            <input class="space" type="number" id="stat1" name="ag" required />
                                            <input class="space" type="number" id="bonus1" name="agBonus" />
                                        </div>
                                        <div class="split">
                                            <h4 for="co">Constitution (CO)</h4>
                                            <input class="space" type="number" id="stat2" name="co" required />
                                            <input class="space" type="number" id="bonus2" name="coBonus" />
                                        </div>
                                        <div class="split">
                                            <h4 for="ig">Inteligence (IG)</h4>
                                            <input class="space" type="number" id="stat3" name="ig" required />
                                            <input class="space" type="number" id="bonus3" name="igBonus" />
                                        </div>
                                        <div class="split">
                                            <h4 for="it">Intuition (IT)</h4>
                                            <input class="space" type="number" id="stat4" name="it" required />
                                            <input class="space" type="number" id="bonus4" name="itBonus" />
                                        </div>
                                        
                                        <a class="btn" href="javascript:void(0);" onclick="fillStats()">Roll dice</a>


                                    </div>
                                </div>
                            </div>
                            <div class="cards">
                                <div class="card">
                                    <div class="card-form">
                                        <div class="skills">
                                            <div class="manuver">
                                                <div class="split">
                                                    <h3>Moviment And Maneuver</h3>
                                                    <input id="hidden" class="space" type="number" id="movimentsRemains" name="movimentsRemains" value="3" readonly="true"/>
                                                </div>
                                                <p>No Armour </p>
                                                <input type="checkbox" id="1" name="check1" onclick= addchecked()>
                                                <input type="checkbox" id="1" name="check2">
                                                <input class="space" type="number" id="bonus00" name="bonus00" />
                                                <p>Soft Leather </p>
                                                <input type="checkbox" id="1" name="check3">
                                                <input type="checkbox" id="1" name="check4">
                                                <input type="checkbox" id="2" name="check5">
                                                <input class="space" type="number" id="bonus01" name="bonus01" />
                                                <p>Rigid Leather </p>
                                                <input type="checkbox" id="1" name="check6">
                                                <input type="checkbox" id="1" name="check7">
                                                <input type="checkbox" id="2" name="check8">
                                                <input type="checkbox" id="2" name="check9">
                                                <input type="checkbox" id="3" name="check10">
                                                <input class="space" type="number" id="bonus02" name="bonus02" />
                                                <p>Chain </p>
                                                <input type="checkbox" id="1" name="check11">
                                                <input type="checkbox" id="1" name="check12">
                                                <input type="checkbox" id="2" name="check13">
                                                <input type="checkbox" id="2" name="check14">
                                                <input type="checkbox" id="3" name="check15">
                                                <input type="checkbox" id="3" name="check16">
                                                <input type="checkbox" id="4" name="check17">
                                                <input class="space" type="number" id="bonus03" name="bonus03" />
                                                <p>Plate </p>
                                                <input type="checkbox" id="1" name="check18">
                                                <input type="checkbox" id="1" name="check19">
                                                <input type="checkbox" id="2" name="check20">
                                                <input type="checkbox" id="2" name="check21">
                                                <input type="checkbox" id="3" name="check22">
                                                <input type="checkbox" id="3" name="check23">
                                                <input type="checkbox" id="4" name="check24">
                                                <input type="checkbox" id="4" name="check25">
                                                <input type="checkbox" id="5" name="check26">
                                                <input class="space" type="number" id="bonus04" name="bonus04" />

                                                
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>



                            <!-- <div class="cards">
                                    
                                </div> -->

                        </div>
                        <div class="cards-bottom">
                            <div class="card">
                                <div class="card-form">
                                    <div class="skills">
                                        <input id="hidden" class="space" type="number" id="weaponsRemains" name="weaponsRemains" value="4" readonly="true"/>
                                        <label for="">Points Remains</label>
                                        <label for="">Weapon Skill Category</label>
                                        <div class="weapon">
                                        </div>
                                        <p>1-H Edged </p>
                                        <input type="checkbox" id="1" name="check27">
                                        <input type="checkbox" id="1" name="check28">
                                        <input type="checkbox" id="2" name="check29">
                                        <input type="checkbox" id="2" name="check30">
                                        <input type="checkbox" id="3" name="check31">
                                        <input type="checkbox" id="3" name="check32">
                                        <input type="checkbox" id="4" name="check33">
                                        <input type="checkbox" id="4" name="check34">
                                        <input type="checkbox" id="5" name="check35">
                                        <input type="checkbox" id="5" name="check36">
                                        <input class="space" type="number" id="bonus000" name="bonus000" />

                                        <p>1-H Concussion </p>
                                        <input type="checkbox" id="1" name="check37">
                                        <input type="checkbox" id="1" name="check38">
                                        <input type="checkbox" id="2" name="check39">
                                        <input type="checkbox" id="2" name="check40">
                                        <input type="checkbox" id="3" name="check41">
                                        <input type="checkbox" id="3" name="check42">
                                        <input type="checkbox" id="4" name="check43">
                                        <input type="checkbox" id="4" name="check44">
                                        <input type="checkbox" id="5" name="check45">
                                        <input type="checkbox" id="5" name="check46">
                                        <input class="space" type="number" id="bonus001" name="bonus001" />
                                        <p>1-H Concussion </p>
                                        <input type="checkbox" id="1" name="check47">
                                        <input type="checkbox" id="1" name="check48">
                                        <input type="checkbox" id="2" name="check49">
                                        <input type="checkbox" id="2" name="check50">
                                        <input type="checkbox" id="3" name="check51">
                                        <input type="checkbox" id="3" name="check52">
                                        <input type="checkbox" id="4" name="check53">
                                        <input type="checkbox" id="4" name="check54">
                                        <input type="checkbox" id="5" name="check55">
                                        <input type="checkbox" id="5" name="check56">
                                        <input class="space" type="number" id="bonus002" name="bonus002" />
                                        <p>2-Handed</p>
                                        <input type="checkbox" id="1" name="check57">
                                        <input type="checkbox" id="1" name="check58">
                                        <input type="checkbox" id="2" name="check59">
                                        <input type="checkbox" id="2" name="check60">
                                        <input type="checkbox" id="3" name="check61">
                                        <input type="checkbox" id="3" name="check62">
                                        <input type="checkbox" id="4" name="check63">
                                        <input type="checkbox" id="4" name="check64">
                                        <input type="checkbox" id="5" name="check65">
                                        <input type="checkbox" id="5" name="check66">
                                        <input class="space" type="number" id="bonus003" name="bonus003" />
                                        <p>Missile</p>
                                        <input type="checkbox" id="1" name="check67">
                                        <input type="checkbox" id="1" name="check68">
                                        <input type="checkbox" id="2" name="check69">
                                        <input type="checkbox" id="2" name="check70">
                                        <input type="checkbox" id="3" name="check71">
                                        <input type="checkbox" id="3" name="check72">
                                        <input type="checkbox" id="4" name="check73">
                                        <input type="checkbox" id="4" name="check74">
                                        <input type="checkbox" id="5" name="check75">
                                        <input type="checkbox" id="5" name="check76">
                                        <input class="space" type="number" id="bonus004" name="bonus004" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- <input type="text"> -->
                        <button type="submit" class="btn">Criar Personagem</button>
                    </div>
                </form>
                <!-- end new character -->
            </section>
        </main>
        <div class="circle1"></div>
        <div class="circle2"></div>

    </body>
    <script type="text/javascript" src="changeAvatar.js"></script>
    <script type="text/javascript" src="fillStats.js"></script>
    <script type="text/javascript" src="setCheckBoxes.js"></script>


    </html>